This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 838179 (CVE-2012-3812)

Summary: CVE-2012-3812 asterisk: Remote crash vulnerability in voice mail application
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, jeff, lmadsen, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120705,reported=20120705,source=full-disclosure,cvss2=3.5/AV:N/AC:M/Au:S/C:N/I:N/A:P,fedora-17/asterisk=affected,fedora-16/asterisk=affected,epel-6/asterisk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 04:04:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 838180, 838181, 838182    
Bug Blocks:    

Description Kurt Seifried 2012-07-06 18:50:16 EDT
AST-2012-011

If a single voicemail account is manipulated by two parties  
simultaneously, a condition can occur where memory is freed  
twice causing a crash.

http://downloads.asterisk.org/pub/security/AST-2012-011.txt
http://downloads.asterisk.org/pub/security/AST-2012-011.pdf
http://downloads.asterisk.org/pub/security/AST-2012-011-1.8.diff
http://downloads.asterisk.org/pub/security/AST-2012-011-10.diff
Comment 1 Kurt Seifried 2012-07-06 18:52:38 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-17 [bug 838180]
Affects: fedora-16 [bug 838181]
Affects: epel-6 [bug 838182]
Comment 2 Fedora Update System 2012-07-19 21:57:51 EDT
asterisk-10.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Kurt Seifried 2012-12-11 04:04:19 EST
asterisk-1.8.18.0-1.fc16 has been pushed to the Fedora 16 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Kurt Seifried 2012-12-11 04:04:54 EST
asterisk-1.8.18.0-1.el6 has been pushed to the Epel 6 repository.  If problems still persist, please make note of it in this bug report.